(function() {
  var Proxy, tunnel;

  tunnel = require("tunnel");

  Proxy = (function() {

    function Proxy() {}

    Proxy.createAgent = function(proxyHost, proxyPort) {
      var myAgent;
      myAgent = tunnel.httpsOverHttp({
        maxSockets: 5,
        proxy: {
          host: proxyHost,
          port: proxyPort,
          headers: {
            "User-Agent": "Node"
          }
        }
      });
      return myAgent;
    };

    return Proxy;

  })();

  module.exports = Proxy;

}).call(this);
